<script type="text/ng-template" id="smsModal.html">
    <div class="modal-header">
        <button ng-click="close()" type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>

    </div>
    <form name="smsForm">
        <div class="modal-body">
            <div class="panel-body">
                <h3 id="myModalLabel">SMS to {{ data.text }} </h3>
                <hr/>
                <div class="form-group">
                    <label for="">Phone number</label>
                    <input  type="text" ng-model="data.phone"  name="InstitutionName"  class="form-control"  placeholder="Phone number" >
                </div>

                <div class="form-group">
                    <label for="">Message</label>
                    <textarea class="form-control" maxlength="140" ng-model="data.message" required></textarea>
                </div>
            </div>

        </div>
        <div class="modal-footer">
            <button type="submit" ng-disabled="!smsForm.$valid" class="btn btn-info btn-lg" data-dismiss="modal" ng-click="sendSMS()" > <i class="fa fa-mobile"></i>  Send SMS</button>
            <button type="button" class="btn btn-warning btn-lg" ng-click="close()" data-dismiss="modal"><i class="fa fa-times"></i>  Cancel</button>
        </div>
    </form>
</script>